<?php
/*
 *      this file is a part of GCweb (unoffical web render for GCstar)
 *      Copyright (c) 2007 Jonas Fourquier <http://jonas.tuxfamily.org> and contributors
 *
 *      GCweb is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *
 *      You should have received a copy of the GNU General Public License
 *      along with this program; if not, write to the Free Software
 *      Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 */
?>
<generatorask>
    <p><?php echo __('Cette page affiche toutes les images de la collection (<a href="http://jonas.tuxfamily.org/wiki/gcweb/documentation/generateur_de_theme#mosaique">plus d\'explications</a>)') ?>.</p>

    <p style="color:red"><?php echo __('Attention! Le modèle "menu" doit être créé avant cette page') ?>.</p>

    <ul style="position:relative">
        <li><span class="generator_label"><?php echo __('Titre de l\'élément') ?> :</span>       <span class="generator_desc"><champ>title</champ> <span style="color:red"><?php echo __('Saisie obligatoire') ?></span>.</span></li>
        <li><span class="generator_label"><?php echo __('Image réprésentative') ?> :</span>      <span class="generator_desc"><champ>img</champ> <?php echo __('L\'image n\'est pas obligatoir mais ce type d\'affichage n\'a aucun intéret sans') ?>.</span>
            <ul>
                <li><span class="generator_label"><?php echo __('Hauteur') ?> :</span>           <span class="generator_desc"><txt>Yimg=160</txt> (<?php echo __('<code>120</code> est conseillé pour des images plus haute que large') ?>).</span></li>
                <li><span class="generator_label"><?php echo __('Largeur standard') ?> : </span> <span class="generator_desc"><txt>Ximg=80</txt> (<?php echo __('<code>80</code> est conseillé. Les images plus large seront rognées, 2 bandes noire compléteront les plus étroite') ?>).</span></li>
            </ul>
        </li>
        <li><?php echo __('Information avec un lien vers un filtre (affiché lors du survole de l\'élément') ?>).
            <ul>
            <loop filter>
                <li><?php echo __('Label') ?> <txt>labelfilter</txt> - <?php echo __('Champ') ?> <champ>valuefilter</champ> </li>
            </loop>
                <li>→ <addloop filter></li>
            </ul>
        </li>
        <li><?php echo __('Autres informations sans lien') ?>.
            <ul>
            <loop otherinfo>
                <li><?php echo __('Label') ?> <txt>labelotherinfo</txt> - <?php echo __('Champ') ?> <champ>valueotherinfo</champ> </li>
            </loop>
                <li>→ <addloop otherinfo></li>
            </ul>
        </li>
        <li><?php echo __('Liste de lien') ?>.
            <ul>
            <loop link>
                <li><?php echo __('Label') ?> <txt>labellink</txt> - <?php echo __('url') ?> <champ>valuelink</champ> </li>
            </loop>
                <li>→ <addloop link></li>
            </ul>
        </li>
    </ul>
</generatorask>

<generatorcode>
<?php
/*
 *      File generated by GCweb generator a part of GCweb (unoffical web render for GCstar)
 *      Copyright (c) 2007 Jonas Fourquier <http://jonas.tuxfamily.org>
 *
 *      GCweb is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *
 *      You should have received a copy of the GNU General Public License
 *      along with this program; if not, write to the Free Software
 *      Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 */


/*
 * Partie centale de la page affiche le menu et la liste de items
 *   - Les variables du tableau $info, $collec et $items peuvent être utilisées.
 */
?>
<div id="chargement" class="box">
    <p><?php echo __('Veuillez patienter le chargement de cette page peut être long') ?>.</p>

    <p>[<a href="#" onclick="javascript:hide('chargement')"><?php echo __('masquer ce message') ?></a>]</p>
</div>

<div id="content">

    <?php include TEMPLATE_MODEL_PATH_GCWEB.'/menu_'.$collec['type'].'.php' ?>

    <div id="mosaique">

        <div class="element">

            <div class="box">

                <?php include TEMPLATE_MODEL_PATH_GCWEB.'/menuOptionsAff.php';

                foreach ($bdd as $item)
                { ?>
                    <div id="id_<?php aff($item['id']) ?>" class="element" style="<ifexists img>width:%%Ximg%%px; height:%%Yimg%%px</ifexists><ifnotexists img>height:1.5em;</ifnotexists>;" onmouseover="javascript:changeInfo('info_<?php aff($item['id'])?>')" onmouseout="javascript:hide('info_<?php aff($item['id'])?>')">
                        <div class='legend' id="info_<?php aff($item['id']) ?>" style="margin-top: <ifexists img>%%Yimg%%px</ifexists><ifnotexists img>1.5em</ifnotexists>;">
                            <h3><a href="<?php aff_hrefitem($item)?>"><?php aff($item['%%title%%']) ?></a></h3>
                            <ul>
                                <loop filter>
                                <?php if (test($item['%%valuefilter%%']))       {?> <li><span class="label"><?php echo __('%%labelfilter%%') ?> :   </span><span class="info"><?php aff_filter('%%valuefilter%%==',$item['%%valuefilter%%']) ?></span></li><?php } ?>
                                </loop>
                                <loop otherinfo>
                                <?php if (test($item['%%valueotherinfo%%']))    {?> <li><span class="label"><?php echo __('%%labelotherinfo%%') ?> : </span><span class="info"><?php aff($item['%%valueotherinfo%%']) ?></span></li><?php } ?>
                                </loop>
                                <li><loop link>
                                <?php if (test($item['%%valuelink%%']))         {?> <a href="<?php aff($item['%%valuelink%%'])?>"><?php echo __('%%labellink%%') ?></a><?php } ?>
                                </loop></li>
                            </ul>
                            <?php echo join("\n", $item['array_add_to_all_pages']); ?>
                        </div>

                        <span class="image" style="height:%%Yimg%%;">
                            <a style="height:<ifexists img>%%Yimg%%px</ifexists><ifnotexists img>1.5em; margin: 0 1em; background-color: transparent;</ifnotexists>;" href="<?php aff_hrefitem($item)?>" onmouseover="javascript:changeInfo('info_<?php aff($item['id'])?>')">
                                <ifexists img>
                                <img alt="<?php aff($item['%%title%%']) ?>" src="<?php aff_image($item['%%img%%'],'',%%Yimg%%) ?>" />
                                </ifexists>
                                <ifnotexists img>
                                <?php aff($item['%%title%%']) ?>
                                </ifnotexists>
                            </a>
                        </span>
                    </div><?php
                }?>

                <div class="foot"> </div>
            </div>
        </div>
    </div>
</div>
</generatorcode>
